Get acknowledgment receipt for notification - Fabric
Get acknowledgment receipt for notification
cURL
curl --request POST \
--url https://api.fabric.inc/v3/oms-notifications/acknowledge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-fabric-channel-id: <x-fabric-channel-id>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>' \
--data '
{
"acknowledgedAt": "2022-07-14T10:27:28-05:00",
"documentId": "6319c04f2ec591b653f328dd",
"documentType": "ORDER",
"notificationType": "BOPIS_ORDER_COMPLETED"
}
'
Python
import requests
url = "https://api.fabric.inc/v3/oms-notifications/acknowledge"
payload = {
"acknowledgedAt": "2022-07-14T10:27:28-05:00",
"documentId": "6319c04f2ec591b653f328dd",
"documentType": "ORDER",
"notificationType": "BOPIS_ORDER_COMPLETED"
}
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"x-fabric-channel-id": "<x-fabric-channel-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch API)
const options = {
method: 'POST',
headers: {
'x-fabric-tenant-id': '<x-fabric-tenant-id>',
'x-fabric-channel-id': '<x-fabric-channel-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
acknowledgedAt: '2022-07-14T10:27:28-05:00',
documentId: '6319c04f2ec591b653f328dd',
documentType: 'ORDER',
notificationType: 'BOPIS_ORDER_COMPLETED'
})
};
fetch('https://api.fabric.inc/v3/oms-notifications/acknowledge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response
- 200 - OK
{
"message": "OK"
}
- 400 - Bad request
{
"errors": [
{
"message": "Invalid request",
"type": "CLIENT_ERROR"
}
],
"message": "Bad request",
"type": "CLIENT_ERROR"
}
- 401 - Unauthorized request
{
"message": "Unauthorized request",
"type": "CLIENT_ERROR"
}
- 404 - No resource found for the given ID
{
"message": "No resource found for the given ID",
"type": "CLIENT_ERROR"
}
- 500 - Internal server error
{
"message": "Internal server error",
"type": "SERVER_ERROR"
}
Authorization
- Authorization: string, required, header
- Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
- x-fabric-tenant-id: string, required
- x-fabric-channel-id: string, required